Main Page Widgets Namespaces Book

# Gtk::Box_Helpers::BoxList Class Reference

Inheritance diagram for Gtk::Box_Helpers::BoxList:

[legend]
List of all members.

## Public Types

typedef Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > > | type_base

## Public Member Functions

| BoxList (const BoxList& src)
| BoxList (GtkBox* gparent)
| BoxList ()
virtual iterator | erase (iterator)
virtual void | erase (iterator start, iterator stop)
iterator | find (Widget&)
iterator | find (const_reference c)
virtual GList*& | glist () const
const GtkBox* | gparent () const
GtkBox* | gparent ()
template<class InputIterator>
void | insert (iterator position, InputIterator first, InputIterator last)
iterator | insert (iterator position, element_type& e)
BoxList& | operator= (const BoxList& src)
reference | operator[] (size_type l) const
| This is order n. (use at own risk).
void | push_back (element_type& e)
void | push_front (element_type& e)
virtual void | remove (Widget& w)
virtual void | remove (const_reference)
void | reorder (iterator loc, iterator pos)
virtual | ~BoxList ()

## Member Typedef Documentation

typedef Glib::HelperList<Child, const Element, Glib::List_Iterator<Child>> Gtk::Box_Helpers::BoxList::type_base

## Constructor & Destructor Documentation

Gtk::Box_Helpers::BoxList::BoxList | ( |  | ) |

Gtk::Box_Helpers::BoxList::BoxList | ( | GtkBox * | gparent | ) | `[explicit]`

Gtk::Box_Helpers::BoxList::BoxList | ( | const BoxList& | src | ) |

virtual Gtk::Box_Helpers::BoxList::~BoxList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iterator Gtk::Box_Helpers::BoxList::erase | ( | iterator |  | ) | `[virtual]`

virtual void Gtk::Box_Helpers::BoxList::erase | ( | iterator | start,
|  | iterator | stop |
| ) |  |  | `[virtual]`

iterator Gtk::Box_Helpers::BoxList::find | ( | Widget& |  | ) |

iterator Gtk::Box_Helpers::BoxList::find | ( | const_reference | c | ) |

virtual GList*& Gtk::Box_Helpers::BoxList::glist | ( |  | ) | const`[virtual]`

Implements Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

const GtkBox* Gtk::Box_Helpers::BoxList::gparent | ( |  | ) | const

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

GtkBox* Gtk::Box_Helpers::BoxList::gparent | ( |  | ) |

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

template <class InputIterator>

void Gtk::Box_Helpers::BoxList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

iterator Gtk::Box_Helpers::BoxList::insert | ( | iterator | position,
|  | element_type & | e |
| ) |  |  |

BoxList& Gtk::Box_Helpers::BoxList::operator= | ( | const BoxList& | src | ) |

reference Gtk::Box_Helpers::BoxList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk).

void Gtk::Box_Helpers::BoxList::push_back | ( | element_type & | e | ) | `[inline]`

void Gtk::Box_Helpers::BoxList::push_front | ( | element_type & | e | ) | `[inline]`

virtual void Gtk::Box_Helpers::BoxList::remove | ( | Widget& | w | ) | `[virtual]`

virtual void Gtk::Box_Helpers::BoxList::remove | ( | const_reference |  | ) | `[virtual]`

void Gtk::Box_Helpers::BoxList::reorder | ( | iterator | loc,
|  | iterator | pos |
| ) |  |  |

The documentation for this class was generated from the following file:

- box.h